- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GSmtp::ServerProtocol::Text Class Referenceabstract

An interface used by ServerProtocol to provide response text strings. More...

`#include <gserverprotocol.h>`

Inheritance diagram for GSmtp::ServerProtocol::Text:

## Public Member Functions
virtual std::string | greeting () const =0
virtual std::string | hello (const std::string &smtp_peer_name) const =0
virtual std::string | received (const std::string &smtp_peer_name) const =0
virtual | ~Text ()

## Detailed Description

An interface used by ServerProtocol to provide response text strings.

Definition at line 70 of file gserverprotocol.h.

## Constructor & Destructor Documentation

GSmtp::ServerProtocol::Text::~Text | ( |  | ) |
| virtual

Definition at line 892 of file gserverprotocol.cpp.

## Member Function Documentation

virtual std::string GSmtp::ServerProtocol::Text::greeting | ( |  | ) | const
| pure virtual

Implemented in GSmtp::ServerProtocolText.

virtual std::string GSmtp::ServerProtocol::Text::hello | ( | const std::string & | smtp_peer_name | ) | const
| pure virtual

Implemented in GSmtp::ServerProtocolText.

virtual std::string GSmtp::ServerProtocol::Text::received | ( | const std::string & | smtp_peer_name | ) | const
| pure virtual

Implemented in GSmtp::ServerProtocolText.

The documentation for this class was generated from the following files:

- gserverprotocol.h
- gserverprotocol.cpp